PHOTON(1)

NAME
photon - generates photo albums

SYNOPSIS
photon [OPTIONS] [PATH]

DESCRIPTION
Photon generates clean, yet configurable, static HTML photo galleries. All of the work is done from the command line, and the resulting output can easily be configured by changing the template files found in /usr/share/photon/templates.

To create a new template (skin), first create a new directory:

    mkdir -p ${HOME}/.photon/templates/my_theme/

Then copy the contents of /usr/share/photon/templates/photonv1/ to this new directory. Photon only needs three files to build pages:

index.html
    used to display the content of a folder

image.html
    used to display the page for an image

movie.html
    used to display the page for a movie

If a file is missing, then photon will throw an error and will not run.

HOW TO BUILD A GALLERY

Quick start
    $ photon -o myoutputdir /photos

Use the gimp plugin
    $ photon --resize-plugin=gimp -v -o myoutputdir /photos

Change the size for all images and the thumbnail and keep the original photo
    $ photon --sizelist=0,1600x1200,800x600 --thumbsize=320x240 -o myoutputdir /photos

Create a gallery from your custom template (skin)
    $ photon -k my_theme -o myoutputdir /photos

See photon help
    $ photon --help

OPTIONS

-a | --awstats
    Insert Javascript for Awstats

--awstats-url=URL
    Change default value for Awstats script url

-c NAME | --comment
    Name of the comment file (default .comments)

-d NUM | --display-columns=NUM
    Number of columns in index (default 3)

-E | --no-exif
    Don't include EXIF information in HTML file

-f | --force
    Overwrite non-image generated files (html, javascript, etc) (default no)

-ff | --force --force
    Overwrite image files (default no)

-h | --help
    Print this help

-I | --no-index
    Do not generate the high level index.html

-J | --no-javascript
    Do not use javascript (no shortcuts, ... )

-k | --skin=THEME
    Skin selector (default photonv1)

--print-skins
    Print out available skins (templates)

-l NUM | --display-lines=NUM
    Number of lines in index (default 5)

-m | --movie
    Movie mode, include link to movie (*.mov)

-o NAME | --output-directory=NAME
    Name of the output directory

-s LIST | --sizelist=LIST
    Image sizes (default 0,1024x768,800x600,640x480). Zero, which is the default, uses the original resolution. W x H specifies the width and height of the image in pixels.

-t SIZE | --thumbsize=SIZE
    Size of thumbnails (default 160x120)

-v | --verbose
    Verbosely print information

-V | --version
    Print program version number

-z | --compress
    Compress the original image if selected (default copy the image)

--exif-bordercolor=COLOR
    Exif window border color (default #008000)

--exif-bgcolor=COLOR
    Exif window background color (default #f0fff0)

--exif-fgcolor=COLOR
    Exif window text color (default black)

--body-bgcolor=COLOR
    Body background color (default #ccccff)

--img-bgcolor=COLOR
    Image background color (default white)

--exclude=PATTERN
    Exclude files matching PATTERN

--resize-plugin=PLUG
    Where PLUG is the program used to create thumbnails internal: fastest method (default) gimp: use Gimp>1.x (better quality)

--resize-quality-low=NUM
    Quality for small image. 0 (bad) and 100 (good)

--resize-quality-high=NUM
    Quality for big image 0 (bad) and 100 (good)

--gimp-program=PROG
    use PROG for gimp

SHORTCUTS WHILE VIEWING AN IMAGE

    n/SPACE     Go to the next image (with the same resolution)
    p/BACKSPACE Go to the previous image (with the same resolution)
    s           Start/Stop the slideshow
    +/-         Increase/Decrease by one second the slideshow's period
    h           Show shortcut and help
    i           Show Exif information
    z           Change to the higher resolution [NOT YET IMPLEMENTED]

SEE ALSO

    gimp(1)

AUTHOR

    Written by Luc Saillard, <luc@saillard.org>

    Main web site: http://www.saillard.org/programs_and_patches/photon/

    This manual page was written by Kevin Coyner <kcoyner@debian.org> for the Debian project but may be used by others.